Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.update
Interface UpdateTask

All Known Implementing Classes:
  AbstractUpdateTask, BatchUpdateTask, StandardUpdateTask

    public interface UpdateTask

An interface defining an update task.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`boolean` | `isUpdateNeeded()` Gets whether or not an update is needed.
`boolean` | `shouldDeleteAndRecreate()` Get the value of deleteAndRecreate.
`void` | `update()` Updates the data store to the latest version.

Method Detail

### update

    void update()
                throws UpdateException

  Updates the data store to the latest version.

  Throws:
    `UpdateException` - is thrown if there is an error updating the database

### shouldDeleteAndRecreate

    boolean shouldDeleteAndRecreate()

  Get the value of deleteAndRecreate.

  Returns:
    the value of deleteAndRecreate

### isUpdateNeeded

    boolean isUpdateNeeded()

  Gets whether or not an update is needed.

  Returns:
    true or false depending on whether an update is needed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.